<< barthannwin | FOSSEE_Signal_Processing_Toolbox | besselap >>

FOSSEE_Signal_Processing_Toolbox >> FOSSEE_Signal_Processing_Toolbox > bartlett

# bartlett

Generate a Bartlett window.

### Syntax

    w = bartlett(L)

### Parameters

L:

  Positive integer. Length of the Bartlett window.

### Description

This function generates an L-point Bartlett window and returns it as a column vector `w`.

### Examples

    w = bartlett(4)

### Authors

- Ankur Mallick

### Bibliography

[1] Oppenheim, Alan V., Ronald W. Schafer, and John R. Buck. Discrete-Time Signal Processing. Upper Saddle River, NJ: Prentice Hall, 1999.

Report an issue
<< barthannwin | FOSSEE_Signal_Processing_Toolbox | besselap >>